All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::usrp::dboard_manager Class Reference

`#include <dboard_manager.hpp>`

Inheritance diagram for uhd::usrp::dboard_manager:

## Public Types

typedef boost::shared_ptr < dboard_manager > | sptr
typedef dboard_base::sptr(* | dboard_ctor_t )(dboard_base::ctor_args_t)

## Static Public Member Functions

static void | register_dboard (const dboard_id_t &dboard_id, dboard_ctor_t dboard_ctor, const std::string &name, const std::vector< std::string > &subdev_names=std::vector< std::string >(1,"0"))
static void | register_dboard (const dboard_id_t &rx_dboard_id, const dboard_id_t &tx_dboard_id, dboard_ctor_t dboard_ctor, const std::string &name, const std::vector< std::string > &subdev_names=std::vector< std::string >(1,"0"))
static sptr | make (dboard_id_t rx_dboard_id, dboard_id_t tx_dboard_id, dboard_id_t gdboard_id, dboard_iface::sptr iface, property_tree::sptr subtree)

## Detailed Description

A daughter board subdev dboard_manager class. Create subdev instances for each subdev on a dboard. Provide wax::obj access to the subdevs inside.

## Member Typedef Documentation

typedef dboard_base::sptr(* uhd::usrp::dboard_manager::dboard_ctor_t)(dboard_base::ctor_args_t)

typedef boost::shared_ptr<dboard_manager> uhd::usrp::dboard_manager::sptr

## Member Function Documentation

static sptr uhd::usrp::dboard_manager::make | ( | dboard_id_t | rx_dboard_id,
|  | dboard_id_t | tx_dboard_id,
|  | dboard_id_t | gdboard_id,
|  | dboard_iface::sptr | iface,
|  | property_tree::sptr | subtree
| ) |  |

static

Make a new dboard manager.

Parameters

  rx_dboard_id | the id of the rx dboard
  tx_dboard_id | the id of the tx dboard
  gdboard_id | the id of the grand-dboard
  iface | the custom dboard interface
  subtree | the subtree to load with props

Returns
  an sptr to the new dboard manager

static void uhd::usrp::dboard_manager::register_dboard | ( | const dboard_id_t & | dboard_id,
|  | dboard_ctor_t | dboard_ctor,
|  | const std::string & | name,
|  | const std::vector< std::string > & | subdev_names = `std::vector< std::string >(1,"0")`
| ) |  |

static

Register a rx or tx dboard into the system. For single subdevice boards, omit subdev_names.

Parameters

  dboard_id | the dboard id (rx or tx)
  dboard_ctor | the dboard constructor function pointer
  name | the canonical name for the dboard represented
  subdev_names | the names of the subdevs on this dboard

static void uhd::usrp::dboard_manager::register_dboard | ( | const dboard_id_t & | rx_dboard_id,
|  | const dboard_id_t & | tx_dboard_id,
|  | dboard_ctor_t | dboard_ctor,
|  | const std::string & | name,
|  | const std::vector< std::string > & | subdev_names = `std::vector< std::string >(1,"0")`
| ) |  |

static

Register an xcvr dboard into the system. For single subdevice boards, omit subdev_names.

Parameters

  rx_dboard_id | the rx unit dboard id
  tx_dboard_id | the tx unit dboard id
  dboard_ctor | the dboard constructor function pointer
  name | the canonical name for the dboard represented
  subdev_names | the names of the subdevs on this dboard

The documentation for this class was generated from the following file:

- include/uhd/usrp/dboard_manager.hpp